import AbstractView from "./AbstractView.js";

export default class extends AbstractView {
    constructor(params) {
        super(params);
        this.setTitle("General Chat");
		let url = `ws://${window.location.host}/ws/socket-server/`

		const chatSocket = new WebSocket(url)
		chatSocket.onmessage = function(e) {
			let data = JSON.parse(e.data)
			console.log('Data:', data)
		}
    }

    async getHtml() {
        return `
            <h1>General Chat</h1>

        `;
    }
}
